PaymentInvoice
POST
/v2/TableApp/PaymentInvoicePaymentInvoice sends invoice data to the terminal for display. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
ReferenceId*
stringInvoiceData
Id
stringName
stringTotalAmount*
numberPaidAmount*
numberName
stringAmount
numberQuantity
numberReferenceId
stringName
stringAmount
numberTipAmount
numberTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomFields
objectPOST/v2/TableApp/PaymentInvoice
1curl --location 'https://test.spinpos.net/v2/TableApp/PaymentInvoice' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "ReferenceId": "",
6 "InvoiceData": {
7 "Id": "",
8 "Name": "",
9 "TotalAmount": "",
10 "PaidAmount": "",
11 "Goods": [
12 {
13 "Name": "",
14 "Amount": "",
15 "Quantity": ""
16 }
17 ],
18 "Payments": [
19 {
20 "ReferenceId": "",
21 "Name": "",
22 "Amount": "",
23 "TipAmount": ""
24 }
25 ]
26 },
27 "Tpn": "",
28 "RegisterId": "",
29 "Authkey": "",
30 "SPInProxyTimeout": ""
31}'
Response
// Awaiting response…
Sample response
{
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
}
}